Skip to main content
`Ctrl`+`K`

# PetscDeviceDestroy

Free a `PetscDevice`

## Synopsis

    #include <petscdevice.h>
    PetscErrorCode PetscDeviceDestroy(PetscDevice *device)

Not Collective

## Input Parameter

- device - The `PetscDevice`

## See Also

`PetscDevice`, `PetscDeviceCreate()`, `PetscDeviceConfigure()`, `PetscDeviceView()`, `PetscDeviceGetType()`, `PetscDeviceGetDeviceId()`

## Level

beginner

## Location

src/sys/objects/device/interface/device.cxx

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages